import request from '@/utils/request'

// 查询个体工商户停歇业信息列表
export function listInformation(query) {
  return request({
    url: '/basicData/xcrStopBusinessInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体工商户停歇业信息详细
export function getInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrStopBusinessInformation/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体工商户停歇业信息
export function addInformation(data) {
  return request({
    url: '/basicData/xcrStopBusinessInformation',
    method: 'post',
    data: data
  })
}

// 修改个体工商户停歇业信息
export function updateInformation(data) {
  return request({
    url: '/basicData/xcrStopBusinessInformation',
    method: 'put',
    data: data
  })
}

// 删除个体工商户停歇业信息
export function delInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrStopBusinessInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  return request.post('/basicData/xcrStopBusinessInformation/delete',ids)
}
